<?php
if($this->session->userdata('is_logged_in')===FALSE){
            yellowirect('login');
}
?>
<div class="templatepopcentering" style="top: 5%;width: 600PX;">

<form id="frm_pop_penetapan_mediasi" style="padding: 4px;background:white;margin:0;" method="post" action="<?php echo base_url().'c_template_mediasi/cetak/'.$enc;?>">
    <div id='pop' style="border: 1px solid #ffffff;">
        <div class="detil" style="background-color: white;"> 
			<table id="" style="padding:5px;width:580px">
                <tr>
                    <td colspan="2" style="background:#5fb85c;padding:10px;color:#fff;text-align:center;">
            <?php 
                echo strtoupper($judul);                
            ?>
                    </td>
                </tr>
                <tr>
                    <td class="templatepopleftcol">Pilih model <font color=yellow>*</font></td>
                    <td>
                     <?php 
                    if ($data_dukung_mediasi->num_rows>0){ 
                        $kode_template=$data_dukung_mediasi->result()[0]->kode_template;
                    };?>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:400px;'  name="kode_template" id="kode_template"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <option value="I_21" <?=($kode_template=="I_21" ? "selected" :"");?>>Putusan Akhir Gugatan Ditolak - Tergugat tidak Beritikad Baik </option>';
                                <option value="I_20" <?=($kode_template=="I_20" ? "selected" :"");?>>Model Penetapan - Tergugat tidak beritikad baik dalam mediasi</option>';
                                <option value="I_19" <?=($kode_template=="I_19" ? "selected" :"");?>>Putusan Akhir Gugatan Tidak Datap Diterima - Penggugat tidak beritikad baik dalam mediasi</option>';

                            </select>
                        </span>
                    </td> 
                </tr>
                </table>
                <table class="tbl_alasan" style="padding:5px;width:580px;font-size: 13px;">
                <tr><td class="templatepopleftcol" colspan="3">Alasan tidak beritikad baik</td></tr>
                 <?php 
                    if ($data_dukung_mediasi->num_rows>0){ 
                        foreach ($data_dukung_mediasi->result() as $row) {
                            if ($row->identifier=="#alasan_itikad#"){
                                $cek=$row->nilai;
                                if ($cek==1){
                                    $c1="checked";
                                }
                                if ($cek==2){
                                    $c2="checked";
                                }
                                if ($cek==3){
                                    $c3="checked";
                                }
                                if ($cek==4){
                                    $c4="checked";
                                }
                                if ($cek==5){
                                    $c5="checked";
                                }
                            }
                        }
                    }
                ?>
                <tr><td><input type='checkbox' name='alasan[]' value="1" <?=$c1;?>></td><td colspan="2">tidak hadir setelah dipanggil secara patut 2 (dua) kali berturut-turut dalam pertemuan Mediasi tanpa alasan sah;</td></tr>
                <tr><td><input type='checkbox' name='alasan[]' value="2" <?=$c2;?>></td><td colspan="2">menghadiri pertemuan Mediasi pertama, tetapi tidak pernah hadir pada pertemuan berikutnya meskipun telah dipanggil secara patut 2 (dua) kali berturut-turut tanpa alasan sah;</td></tr>
                <tr><td><input type='checkbox' name='alasan[]' value="3" <?=$c3;?>></td><td colspan="2">ketidakhadiran berulang-ulang yang mengganggu jadwal pertemuan Mediasi tanpa alasan sah;</td></tr>
                <tr><td><input type='checkbox' name='alasan[]' value="4" <?=$c4;?>></td><td colspan="2">menghadiri pertemuan Mediasi, tetapi tidak mengajukan dan/atau tidak menanggapi Resume Perkara pihak lain;</td></tr>
                <tr><td><input type='checkbox' name='alasan[]' value="5" <?=$c5;?>></td><td colspan="2">tidak menandatangani konsep Kesepakatan Perdamaian yang telah disepakati tanpa alasan sah</td></tr>

                <?php 
                    $total_biaya_mediasi=0;
                    if ($data_dukung_mediasi->num_rows>0){ 
                        foreach ($data_dukung_mediasi->result() as $row) {
                            if ($row->identifier=="#biaya_mediasi#"){
                                $total_biaya_mediasi += intval($row->nilai);
                            }
                        }
                    }
                ?>
                <tr><td class="templatepopleftcol" colspan="3" align="center"><input type="button" id="tambah_biaya_mediasi" value="Total biaya mediasi lain lain Rp. <?php echo number_format($total_biaya_mediasi, 2, ',', '.');?> Klik untuk  melihat biaya lain lain" class="del_btn" ></td></tr>
                <tr>
					<td colspan="3" style="background:white;" align="center">
                        <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>">
                        <input type="hidden" id="encmediasi" name = 'encmediasi' value="<?php echo $encmediasi; ?>"> 
                        <input type="button" id="kembali" value="Kembali" class="btn" >
						<input type="submit" id="print_btn" value="Cetak" class="btn" >
					</td>
				</tr>
            </table>
        </div>
    </div>
    <div id="pop_biaya_mediasi" class="templatepopcentering" style="padding:5px;position:absolute;top: 10%;width: 478PX;margin-left: 3%;" hidden>
    <div style="border: none;background-color:rgba(0,0,0,0.6);padding:15px; ">
        <div class="detil" style="background-color: white;"> 
            <table  style="width:435px">
               <tr>
                    <td style="background:#5fb85c;padding:5px;color:#fff;text-align:center;">
                    BIAYA MEDIASI LAIN LAIN
                    </td>
               </tr>
            </table>
            <?php 
            if ($data_dukung_mediasi->num_rows==0){ ?>
            <table  style="width:435px">
               <tr><td style="background: #1AA27D;color:#fff;" align='center'>
               Nama Biaya Mediasi <span style="margin-left: 81px;">| Jumlah (Rp.)</span></td></tr>
                <tr>
                    <td>
                        <input type="text" id="nama_biaya0" name="nama_biaya[]" value="" class="standard-input" style="width:230px;">
                        <input type="text" id="biaya_mediasi0" name="biaya_mediasi[]" value="" class="standard-input" style="width:100px;">
                        <input type="button" id="add" class="btn" style="width:45px;font-weight: bold;font-size:14px;" value="+">
                    </td>
                </tr>
            </table>
            <table  style="width:435px">
                <col width="200px">
                <col>
                <tbody>
                    <div id="container_biaya_mediasi">
                    </div>
                </tbody>
            </table>
            <?php }else{ 
                $count=0;
                    echo '<table  style="width:435px" >';
                    echo '   <tr><td class="templatepopleftcol" align="center">';
                    echo '   Nama Biaya Mediasi <span style="margin-left: 81px;">| Jumlah (Rp.)</span></td></tr>';
                foreach ($data_dukung_mediasi->result() as $row) {
                    if ($row->identifier=="#biaya_mediasi#"){
                    echo '    <tr id="row'.$count.'">';
                    echo '        <td>';
                    echo '            <input type="text" id="nama_biaya'.$count.'" name="nama_biaya[]" value="'.$row->uraian.'" class="standard-input" style="width:230px;">';
                    echo '            <input type="text" id="biaya_mediasi'.$count.'" name="biaya_mediasi[]" value="'.$row->nilai.'" class="standard-input" style="width:100px;">';
                    echo '            <input type="button" id="btn_remove'.$count.'" class="del_btn" style="width:45px;font-weight: bold;font-size:14px;" value="-">';
                    echo '        </td>';
                    echo '    </tr>';
                    $count++;
                    }
                }
                    echo '<tr id="row'.$count.'">';
                    echo '    <td>';
                    echo '          <input type="text" id="nama_biaya'.$count.'" name="nama_biaya[]" value="" class="standard-input" style="width:230px;">';
                    echo '          <input type="text" id="biaya_mediasi'.$count.'" name="biaya_mediasi[]" value="" class="standard-input" style="width:100px;">';
                    echo '          <input type="button" id="add" class="btn" style="width:45px;font-weight: bold;font-size:14px;" value="+">';
                    echo '    </td>';
                    echo '</tr>';
            } ?>
            </table>
                <table  style="width:435px">
                <col width="200px">
                <col>
                <tbody>
                    <div id="container_biaya_mediasi">
                    </div>
                </tbody>
            </table>
            <table  style="width:435px">
               <tr>
                    <td colspan="2" style="background:white;" align="center">
                        <input type="button" id="kembali_biaya" value="Tutup" class="btn" >
                    </td>
               </tr>
            </table>
        </div>
    </div>
</div>
</div>
</form>
<script type="text/javascript">
$('#kembali').closingFormWin();
$('#kembali_biaya').click(function(event) {
    $('#pop_biaya_mediasi').fadeOut();
});

$('#tambah_biaya_mediasi').click(function(event) {
    var mediasi_id="<?php echo $encmediasi;?>";
    if ($('#kode_template').val()=='-1'){
        var pesan='Silahkan pilih <font color="yellow">"Kode template"</font> terlebih dahulu.'
        message_show(pesan);
        $('#popup-container').attr("style", "background: #1AA27D;color:#fff;padding:20px");
        $('.pesan').attr("style", "background: #1AA27D;color:#fff;padding:20px");
        return;
    }
    if (mediasi_id==""){ 
        var pesan='<b>Note :</b><br> Biaya mediasi lain-lain yang <font color="yellow">"akan"</font> anda inputkan <br> hanya tercetak pada template dokumen saja.<br><br><font color="yellow">Kecuali, </font> perkara yang sudah <font color="yellow">"Mediasi"</font><br> biaya mediasi lain-lain akan tersimpan dalam database'
        message_show(pesan)  
        $('#popup-container').attr("style", "background: #1AA27D;color:#fff;padding:20px");
        $('.pesan').attr("style", "background: #1AA27D;color:#fff;padding:20px");
    }
    $('#pop_biaya_mediasi').fadeIn();
});

$('#frm_pop_penetapan_mediasi').submit(function(e) {
    var kode_template = $('#kode').val();
    if(kode_template==-1){
        message_show('Silahkan pilih <font color="yellow">"Kode template"</font> terlebih dahulu.');
        $('#popup-container').attr("style", "background: #1AA27D;color:#fff;padding:20px");
        $('.pesan').attr("style", "background: #1AA27D;color:#fff;padding:20px");
        e.preventDefault();
    }
});
$(document).ready(function(){
    var counter = 0; 
    $('#add').click(function(){
       ++counter; 
       $('#container_biaya_mediasi').append('<tr id="row'+counter+'"><td><input type="text" id="nama_biaya'+counter+'" name="nama_biaya[]" value="" class="standard-input" style="width:230px;">  <input type="text" id="biaya_mediasi'+counter+'" name="biaya_mediasi[]" value="" class="standard-input" style="width:100px;"> <input type="button" id="btn_remove'+counter+'" class="del_btn" style="width:45px;font-weight: bold;font-size:14px;" value="-"></td></tr>');
    });
    $(document).on('click', '.del_btn', function(){  
           var button_id = $(this).attr("id");
           idnya = button_id.replace(/[^0-9]+/ig,"");
           $('#row'+idnya+'').remove(); 
    });  
});

</script>
